<div class="panel-header panel-header-sm"></div>
<div class="main-content">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <h1 class="title">Ingresar</h1>
        </div>
        <div class="card-body">
         <!--  [formGroup]="formIngreso" (ngSubmit)="crear()" -->
          <form [formGroup]="formIngreso" (ngSubmit)="crear()">
            <div class="form-group">
              <div class="row">
                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="numeroDocumento" class="control-label">Número guia</label>
                    <input
                      type="text"
                      name="numeroDocumento"
                      class="form-control"  
                      placeholder="Guia"
                      formControlName="numeroDocumento"
                      
                    />
                  </div>
                </div>
                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="bodega_saliente" 
                           class="control-label"
                      >Bodega</label
                    >
                    
                    <mat-select class="form-control" formControlName="bodega" >
                      <mat-option
                      *ngFor="let bodega of bodegas "
                      [value]="bodega.id"
                      ngDefaultControl
                        >{{ bodega.nombreBodega }}
                      </mat-option>
                    </mat-select>
                  </div>
                </div>

                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="proveedor" class="control-label"
                      >Proveedor</label
                    >
                    <mat-select class="form-control" formControlName="proveedor"  >
                      <mat-option 
                        *ngFor="let proveedor of proveedores"
                        [value]="proveedor.id"
                        ngDefaultControl
                        >{{ proveedor.nombreProveedor }}
                      </mat-option>
                    </mat-select>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group row">
              <div class="col-sm-6">
                <mat-form-field>
                  <input type="number" placeholder="Añadir producto" aria-label="Productos"  matInput  [formControl]="autocompleteControl"  [matAutocomplete]="auto">
                  <mat-autocomplete #auto="matAutocomplete" [displayWith]="mostrarCodigo" (optionSelected)="seleccionarProducto($event)" >
                    <mat-option *ngFor="let producto of productosFiltrados | async" [value]="producto"  >
                      {{producto.idProducto}}
                    </mat-option>
                  </mat-autocomplete>
                </mat-form-field>               
                
              </div>
            </div>

            <div class="mat-elevation-z8">
              <table class="table table-bordered">
                <thead>
                  <tr *ngIf="ingreso.items.length > 0 ">
                    <th>Producto</th>
                    <th>Marca Producto</th>
                    <th>Cantidad</th>
                    <th>Precio Unitario</th>
                    <th>Precio total</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let item of ingreso.items"  >
                    
                    <td>
                      {{item.producto.nombreProducto}}                     
                    </td>
                    <td>
                      {{item.producto.marcaProducto}}                      
                    </td>
                    <td ><input type="text" 
                      class="form-control col-sm-4" 
                      (change)="actualizarCantidad(item.producto.idProducto, $event)"
                      formControlName="cantidadProducto"
                      value="{{items.cantidadProducto}}"
                      #box (keyup)="onKey(box.value)" 
                      name="cantidadProducto"
                      [(ngModel)]="cantidadProducto"
                      >
                      <!-- <input
                      class="form-control"
                      type="text"
                      name="cantidadProducto"
                      formControlName="cantidadProducto" 
                      [(ngModel)]="cantidadProducto"
                      [ngModelOptions]="{standalone: true}"
                      #box (keyup)="onKey(box.value)"
                      /> -->
                      
                    </td>
                    <td >
                      <input
                      class="form-control"
                      type="text"
                      name="precio"
                      #box (keyup)="onKey(box.value)"
                      formControlName="precio"
                      [(ngModel)]="precio"
                      placeholder="valor"
                      />
                    </td>
                    <td>
                      <input
                      
                      class="form-control"
                      type="text"
                      name="precioTotal"
                      formControlName="totalPrecio"
                      [(ngModel)]="totalPrecio"
                      value="{{totalPrecio}}"
                      
                      />
                    </td>
                    
                  </tr>
                  
                </tbody>
              </table>
            </div>
            
            <br />
            <div class="col-md-4 px-1">
              <div class="form-group">
                <div class="container-login100-form-btn">
                  <button class="login100-form-btn" >Registrar</button>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
